#!/bin/bash
##############################################################
# File Name: updatezabbix.sh
# Version: V1.0
# Author: xy
# E-mail: xyzhangyd@163.com
# Created Time : 2018-10-31 17:01:14
# Description:
##############################################################

uuid=`/usr/sbin/dmidecode -s system-uuid | grep -v '#' | tr 'A-Z' 'a-z'`

check_file(){
    cp ./ctcm-agent.service /usr/lib/systemd/system/ctcm-agent.service
    cp ./ctcm_agentd /usr/sbin/ctcm_agentd
    chmod +x /usr/sbin/ctcm_agentd
    mkdir -p /etc/ctcm/scripts ; mkdir -p /etc/ctcm/ctcm_agentd.d ; mkdir -p /var/log/ctcm/ ;
}
copy_conf(){
        /bin/cp ./ctcm_agentd.conf /etc/ctcm/ctcm_agentd.conf && sed -ri "s#Hostname=.*#Hostname=${uuid}#g" /etc/ctcm/ctcm_agentd.conf
        /bin/cp -fr ./scripts/* /etc/ctcm/scripts/ && chmod -R +x /etc/ctcm/scripts/
}
start_server(){
    systemctl enable ctcm-agent.service ; systemctl start ctcm-agent.service
}

main(){
    check_file
    copy_conf
    start_server
}

main